ptr_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::pointer_traits< _Ptr >
struct | std::pointer_traits< _Tp * >

## Namespaces

namespace | __gnu_debug
namespace | std

## Macros

#define | __cpp_lib_constexpr_memory
#define | __cpp_lib_to_address

## Typedefs

template<typename _Ptr, typename _Tp>
using | std::__ptr_rebind

## Functions

template<typename _Tp>
constexpr _Tp * | std::__to_address (_Tp *__ptr) noexcept
template<typename _Ptr>
constexpr auto | std::__to_address (const _Ptr &__ptr) noexcept -> decltype(std::pointer_traits< _Ptr >::to_address(__ptr))
template<typename _Ptr, typename... _None>
constexpr auto | std::__to_address (const _Ptr &__ptr, _None...) noexcept
template<typename _Tp>
constexpr _Tp * | std::to_address (_Tp *__ptr) noexcept
template<typename _Ptr>
constexpr auto | std::to_address (const _Ptr &__ptr) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file ptr_traits.h.

## Macro Definition Documentation

## __cpp_lib_constexpr_memory

#define __cpp_lib_constexpr_memory

Definition at line 41 of file ptr_traits.h.

## __cpp_lib_to_address

#define __cpp_lib_to_address

Definition at line 237 of file ptr_traits.h.